Substance
About Guides API
Classes
AbstractEditor AnnotationCommand Command Component Configurator ContainerSelection DOMElement DOMImporter Document DocumentNode EditAnnotationCommand EventEmitter InsertInlineNodeCommand PropertyAnnotation PropertySelection ProseEditor Selection TextNode TransactionDocument VirtualElement
Components
AnnotatedTextComponent AnnotationComponent AnnotationTool ContainerEditor EditLinkTool Layout Modal ScrollPane Scrollbar SplitPane Surface SwitchTextTypeTool TextPropertyComponent TextPropertyEditor Tool
Modules
documentHelpers platform
TreeIndex
Class defined in util/TreeIndex.js#20
this.get()
Method defined in util/TreeIndex.js#31

- Get value at path.
- @return {object} The value stored for a given path
- @example
- obj.get(['b', 'b1']);
- => b1Val